/// <reference types="node" />
import { ConversationTurnEvent, StreamingResponseChunk } from './types.js';
import { GraphqlRequestExecutor } from './graphql_request_executor';
export type MutationStreamingResponseInput = {
    input: StreamingResponseChunk;
};
/**
 * This class is responsible for sending response chunks produced by Bedrock back to AppSync
 * in a form of mutation.
 */
export declare class ConversationTurnStreamingResponseSender {
    private readonly event;
    private readonly graphqlRequestExecutor;
    private readonly logger;
    /**
     * Creates conversation turn response sender.
     */
    constructor(event: ConversationTurnEvent, graphqlRequestExecutor?: GraphqlRequestExecutor, logger?: Console);
    sendResponseChunk: (chunk: StreamingResponseChunk) => Promise<void>;
    private createMutationRequest;
}
//# sourceMappingURL=conversation_turn_streaming_response_sender.d.ts.map